Get memory health
GET
/api/v1/ai/memory/health
const url = 'https://api.ultimateteam.ai/api/v1/ai/memory/health';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/ai/memory/health \ --header 'X-API-Key: <X-API-Key>'Get memory system health metrics for tenant.
Args: user: Authenticated user context. optimizer: Memory optimizer bound to a request-scoped session.
Returns: Memory health report with real crystal counts for the tenant.
Authorizations
Section titled “Authorizations”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
MemoryHealthResponse
Health report for a tenant’s memory crystal store.
object
active_crystals
required
Active Crystals
integer
archived_crystals
required
Archived Crystals
integer
avg_retrieval_ms
required
Avg Retrieval Ms
number
consolidation_candidates
required
Consolidation Candidates
integer
total_crystals
required
Total Crystals
integer
Examplegenerated
{ "active_crystals": 1, "archived_crystals": 1, "avg_retrieval_ms": 1, "consolidation_candidates": 1, "total_crystals": 1}